package com.admin.major.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.admin.common.utils.SecurityUtils;
import com.admin.major.mapper.ClassResultMapper;
import com.admin.major.domain.ClassResult;
import com.admin.major.service.IClassResultService;

/**
 * 分班结果Service业务层处理
 * 
 * @author ljx
 * @date 2022-05-18
 */
@Service
public class ClassResultServiceImpl implements IClassResultService 
{
    @Autowired
    private ClassResultMapper classResultMapper;

    /**
     * 查询分班结果
     * 
     * @param id 分班结果主键
     * @return 分班结果
     */
    @Override
    public ClassResult selectClassResultById(Long id)
    {
        return classResultMapper.selectClassResultById(id);
    }

    /**
     * 查询分班结果列表
     * 
     * @param classResult 分班结果
     * @return 分班结果
     */
    @Override
    public List<ClassResult> selectClassResultList(ClassResult classResult)
    {
        return classResultMapper.selectClassResultList(classResult);
    }



    /**
     * 查询分班结果
     *
     * @param classResult 分班结果
     * @return 分班结果
     */
//    @Override
//    public ClassResult selectOneClassResult(ClassResult classResult)
//    {
//        return classResultMapper.selectClassResultList(classResult)
//                .stream()
//                .findFirst()
//                .orElse(null);
//    }

    /**
     * 新增分班结果
     *
     * @param classResult 分班结果
     * @return 结果
     */

    @Override
    public int insertClassResult(ClassResult classResult)
    {
        return classResultMapper.insertClassResult(classResult);
    }

    /**
     * 修改分班结果
     * 
     * @param classResult 分班结果
     * @return 结果
     */
    @Override
    public int updateClassResult(ClassResult classResult)
    {
        return classResultMapper.updateClassResult(classResult);
    }

    /**
     * 批量删除分班结果
     * 
     * @param ids 需要删除的分班结果主键
     * @return 结果
     */
    @Override
    public int deleteClassResultByIds(Long[] ids)
    {
        return classResultMapper.deleteClassResultByIds(ids);
    }

    /**
     * 删除分班结果信息
     * 
     * @param id 分班结果主键
     * @return 结果
     */
    @Override
    public int deleteClassResultById(Long id)
    {
        return classResultMapper.deleteClassResultById(id);
    }

    @Override
    public int deleteAll() {
        return classResultMapper.deleteAll();
    }
}
